%{!?upstream_version: %global upstream_version %{version}}
%define upstream_name puppet-pacemaker


Name:           puppet-pacemaker
Version:        0.7.0
Release:        3%{?dist}
Summary:        Puppet module for Pacemaker
License:        ASL 2.0

URL:            https://github.com/redhat-openstack/puppet-pacemaker

Source0:        https://github.com/openstack/%{upstream_name}/archive/%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=0.7.0
Patch0001: 0001-Update-.gitreview-for-stable-0.6.x.patch
Patch0002: 0002-Update-UPPER_CONSTRAINTS_FILE-for-stable-0.6.x.patch
Patch0003: 0003-Switch-to-Zuul-v3-testing.patch
Patch0004: 0004-zuul-run-ovb-ha-oooq.patch
Patch0005: 0005-Do-not-call-crm_node-n-when-running-in-a-container.patch

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet-firewall
Requires:       puppet >= 2.7.0

%description
Puppet module for Pacemaker

%prep
%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/pacemaker/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/pacemaker/



%files
%{_datadir}/openstack-puppet/modules/pacemaker/


%changelog
* Thu Jul 19 2018 Michele Baldessari <michele@acksyn.org> 0.7.0-3
- Do not call crm_node -n when running in a container (rhbz#1602854)

* Thu Feb 15 2018 Thierry Vignaud <tvignaud@redhat.com> 0.7.0-2
- Update patches

* Thu Feb 15 2018 Thierry Vignaud <tvignaud@redhat.com> 0.7.0-1
- Update to 0.7.0

* Tue Jan 09 2018 Steve Linabery <slinaber@redhat.com> 0.6.0-3
- zuul: run ovb-ha-oooq
- Switch to Zuul v3 testing
- Update UPPER_CONSTRAINTS_FILE for stable/0.6.x
- Update .gitreview for stable/0.6.x

* Mon Nov 20 2017 Jon Schlueter <jschluet@redhat.com> 0.6.0-2
- Pin jwt to 1.5.6 and rubocop to 0.50.0
- Revert "Allow more than one order rule between two resources."
- Implement stonith levels resource
- Allow more than one order rule between two resources.
- Add fence_compute stonith manifest
- Allow empty pcmk_host_list
- Add autogenerated fence-amt manifest
- Fix constraint::order when constraint_params is undef
- Add meta attribute support to stonith manifests
- Generate fence_ironic automatically
- Fix resource defaults class
- Fix up package relationship in generated stonith manifests
- Switch the stonith_agent_generator to pcmk_stonith provider
- Add pcmk_stonith provider
- Fix pacemaker remote 'Illegal relationship operand..' errors
- Update openstackdocstheme to latest version
- Parse pcs auth output with all pcs versions
- Fix brokenness when changing the value of an existing property
- Use ensure_resources to install pacemaker package
- Use Python to compute release notes version
- Update reno>=2.5.0
- Update URLs in documents according to document migration
- Update openstackdocstheme>=1.16.0
- Switch requires for wait-for-settle into resource collectors
- Pin puppet-stdlib to 4.16.0
- Fix openstackdocstheme
- Switch from oslosphinx to openstackdocstheme
- HA: update bundle creation to be compatible with newest pcs
- Fix bundle location_rule constraints
- Add environment variable
- Update global requirements
- Add a release note for the newly introduced bundle support
- Initial bundle resource support
- Update reno for stable/0.6.x

* Sat Aug 26 2017 Haïkel Guémar <hguemar@fedoraproject.org> - 0.6.0-1.e0f9c425git
- Pike update 0.6.0 (e0f9c4253abce26de340a8c8256c87f5c9f27e02)



